<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Member List</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('dd/dd1/classThread_1_1NetworkData_1_1Local.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Thread::NetworkData::Local Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html">Thread::NetworkData::Local</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#abdce87272d09f0d5aa77b8bc3886c950">AddHasRoutePrefix</a>(const uint8_t *aPrefix, uint8_t aPrefixLength, int8_t aPrf, bool aStable)</td><td class="entry"><a class="el" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html">Thread::NetworkData::Local</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#acb2d4a7ec739450fbaec0459cf6b0bc5">AddOnMeshPrefix</a>(const uint8_t *aPrefix, uint8_t aPrefixLength, int8_t aPrf, uint8_t aFlags, bool aStable)</td><td class="entry"><a class="el" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html">Thread::NetworkData::Local</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d4/d80/group__core-netdata-core.html#gaa8ec766398d8edf196d931889e6e0827">ClearResubmitDelayTimer</a>(void)</td><td class="entry"><a class="el" href="../../d2/d66/classThread_1_1NetworkData_1_1NetworkData.html">Thread::NetworkData::NetworkData</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d4/d80/group__core-netdata-core.html#gaad3d7b2e97324d6cb9d87c464bcb995a">ContainsExternalRoutes</a>(NetworkData &amp;aCompare, uint16_t aRloc16)</td><td class="entry"><a class="el" href="../../d2/d66/classThread_1_1NetworkData_1_1NetworkData.html">Thread::NetworkData::NetworkData</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d4/d80/group__core-netdata-core.html#ga9e4be52c4b1edb2b456372e07f936e64">ContainsOnMeshPrefixes</a>(NetworkData &amp;aCompare, uint16_t aRloc16)</td><td class="entry"><a class="el" href="../../d2/d66/classThread_1_1NetworkData_1_1NetworkData.html">Thread::NetworkData::NetworkData</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d4/d80/group__core-netdata-core.html#gabe230a18b5a65ec7a63f08db1cb0e613">FindBorderRouter</a>(PrefixTlv &amp;aPrefix)</td><td class="entry"><a class="el" href="../../d2/d66/classThread_1_1NetworkData_1_1NetworkData.html">Thread::NetworkData::NetworkData</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d4/d80/group__core-netdata-core.html#ga7abcf2b9efea9803dbb1f54e50524588">FindBorderRouter</a>(PrefixTlv &amp;aPrefix, bool aStable)</td><td class="entry"><a class="el" href="../../d2/d66/classThread_1_1NetworkData_1_1NetworkData.html">Thread::NetworkData::NetworkData</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d4/d80/group__core-netdata-core.html#ga722be438ba262b0aba0128f5082388b1">FindContext</a>(PrefixTlv &amp;aPrefix)</td><td class="entry"><a class="el" href="../../d2/d66/classThread_1_1NetworkData_1_1NetworkData.html">Thread::NetworkData::NetworkData</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d4/d80/group__core-netdata-core.html#ga2bcec104d7c04ab44abfaa5a509c6070">FindHasRoute</a>(PrefixTlv &amp;aPrefix)</td><td class="entry"><a class="el" href="../../d2/d66/classThread_1_1NetworkData_1_1NetworkData.html">Thread::NetworkData::NetworkData</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d4/d80/group__core-netdata-core.html#gae6fcdcf78495e36118524d8e858869ae">FindHasRoute</a>(PrefixTlv &amp;aPrefix, bool aStable)</td><td class="entry"><a class="el" href="../../d2/d66/classThread_1_1NetworkData_1_1NetworkData.html">Thread::NetworkData::NetworkData</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d4/d80/group__core-netdata-core.html#ga5c8a8452951d8bb01eb646de656321a3">FindPrefix</a>(const uint8_t *aPrefix, uint8_t aPrefixLength)</td><td class="entry"><a class="el" href="../../d2/d66/classThread_1_1NetworkData_1_1NetworkData.html">Thread::NetworkData::NetworkData</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d4/d80/group__core-netdata-core.html#ga308642334e8be6ef99b1b7b0b781baca">FindPrefix</a>(const uint8_t *aPrefix, uint8_t aPrefixLength, uint8_t *aTlvs, uint8_t aTlvsLength)</td><td class="entry"><a class="el" href="../../d2/d66/classThread_1_1NetworkData_1_1NetworkData.html">Thread::NetworkData::NetworkData</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d4/d80/group__core-netdata-core.html#ga8772a76056134e6ad65d37cad55225c1">GetNetworkData</a>(bool aStable, uint8_t *aData, uint8_t &amp;aDataLength)</td><td class="entry"><a class="el" href="../../d2/d66/classThread_1_1NetworkData_1_1NetworkData.html">Thread::NetworkData::NetworkData</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d4/d80/group__core-netdata-core.html#ga15e4cd603674f7ba4e4d1323239b5004">GetNextExternalRoute</a>(otNetworkDataIterator *aIterator, otExternalRouteConfig *aConfig)</td><td class="entry"><a class="el" href="../../d2/d66/classThread_1_1NetworkData_1_1NetworkData.html">Thread::NetworkData::NetworkData</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d4/d80/group__core-netdata-core.html#gad8c476283fcfb1bca993c14de5a9f5e0">GetNextExternalRoute</a>(otNetworkDataIterator *aIterator, uint16_t aRloc16, otExternalRouteConfig *aConfig)</td><td class="entry"><a class="el" href="../../d2/d66/classThread_1_1NetworkData_1_1NetworkData.html">Thread::NetworkData::NetworkData</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d4/d80/group__core-netdata-core.html#ga1f1cacaf85d15baa1cf784b23665f421">GetNextOnMeshPrefix</a>(otNetworkDataIterator *aIterator, otBorderRouterConfig *aConfig)</td><td class="entry"><a class="el" href="../../d2/d66/classThread_1_1NetworkData_1_1NetworkData.html">Thread::NetworkData::NetworkData</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d4/d80/group__core-netdata-core.html#ga557db8fd0f37e855cfcf5623f6a4700a">GetNextOnMeshPrefix</a>(otNetworkDataIterator *aIterator, uint16_t aRloc16, otBorderRouterConfig *aConfig)</td><td class="entry"><a class="el" href="../../d2/d66/classThread_1_1NetworkData_1_1NetworkData.html">Thread::NetworkData::NetworkData</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d4/d80/group__core-netdata-core.html#ga9f5162a9bc93eab0d3c02ffd7647223d">Insert</a>(uint8_t *aStart, uint8_t aLength)</td><td class="entry"><a class="el" href="../../d2/d66/classThread_1_1NetworkData_1_1NetworkData.html">Thread::NetworkData::NetworkData</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d4/d80/group__core-netdata-core.html#gga7bc408a1b012da1d593c9b6a8280ae5aaefe709ad8c7d1e0f5aeb273dbb5082f7">kMaxSize</a> enum value</td><td class="entry"><a class="el" href="../../d2/d66/classThread_1_1NetworkData_1_1NetworkData.html">Thread::NetworkData::NetworkData</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a20e9d468ccbdd406040fdecbd778dd6b">Local</a>(ThreadNetif &amp;aNetif)</td><td class="entry"><a class="el" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html">Thread::NetworkData::Local</a></td><td class="entry"><span class="mlabel">explicit</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>mMle</b> (defined in <a class="el" href="../../d2/d66/classThread_1_1NetworkData_1_1NetworkData.html">Thread::NetworkData::NetworkData</a>)</td><td class="entry"><a class="el" href="../../d2/d66/classThread_1_1NetworkData_1_1NetworkData.html">Thread::NetworkData::NetworkData</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d4/d80/group__core-netdata-core.html#ga0e78f3ca45c7e136a56b66008d0fb2ae">mTlvs</a></td><td class="entry"><a class="el" href="../../d2/d66/classThread_1_1NetworkData_1_1NetworkData.html">Thread::NetworkData::NetworkData</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d4/d80/group__core-netdata-core.html#ga51bf866830fd8ba2c9c886c4759722ce">NetworkData</a>(ThreadNetif &amp;aThreadNetif, bool aLocal)</td><td class="entry"><a class="el" href="../../d2/d66/classThread_1_1NetworkData_1_1NetworkData.html">Thread::NetworkData::NetworkData</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d4/d80/group__core-netdata-core.html#ga5ff7c89eab94daf8fffde176c02f2093">PrefixMatch</a>(const uint8_t *a, const uint8_t *b, uint8_t aLength)</td><td class="entry"><a class="el" href="../../d2/d66/classThread_1_1NetworkData_1_1NetworkData.html">Thread::NetworkData::NetworkData</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d4/d80/group__core-netdata-core.html#ga3b02c75d7d5dce213601521df50b24a3">Remove</a>(uint8_t *aStart, uint8_t aLength)</td><td class="entry"><a class="el" href="../../d2/d66/classThread_1_1NetworkData_1_1NetworkData.html">Thread::NetworkData::NetworkData</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#aca96f012e0a75890e6b3e24223b37fea">RemoveHasRoutePrefix</a>(const uint8_t *aPrefix, uint8_t aPrefixLength)</td><td class="entry"><a class="el" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html">Thread::NetworkData::Local</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a17c1405fce7ac53fc91207cc49750441">RemoveOnMeshPrefix</a>(const uint8_t *aPrefix, uint8_t aPrefixLength)</td><td class="entry"><a class="el" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html">Thread::NetworkData::Local</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d4/d80/group__core-netdata-core.html#gacaa88ef88dee8b6be852ec7d19b19fa0">RemoveTemporaryData</a>(uint8_t *aData, uint8_t &amp;aDataLength)</td><td class="entry"><a class="el" href="../../d2/d66/classThread_1_1NetworkData_1_1NetworkData.html">Thread::NetworkData::NetworkData</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d4/d80/group__core-netdata-core.html#ga91ced18d726877f3bd4a1fbcf2871b22">RemoveTemporaryData</a>(uint8_t *aData, uint8_t &amp;aDataLength, PrefixTlv &amp;aPrefix)</td><td class="entry"><a class="el" href="../../d2/d66/classThread_1_1NetworkData_1_1NetworkData.html">Thread::NetworkData::NetworkData</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a6688957845dc3ee7fc08bbc50145d98e">SendServerDataNotification</a>(void)</td><td class="entry"><a class="el" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html">Thread::NetworkData::Local</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d4/d80/group__core-netdata-core.html#ga0caa53c797a248a80b591f963d110657">Thread::NetworkData::NetworkData::SendServerDataNotification</a>(uint16_t aRloc16)</td><td class="entry"><a class="el" href="../../d2/d66/classThread_1_1NetworkData_1_1NetworkData.html">Thread::NetworkData::NetworkData</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:37 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
